Package org.apache.qpid.proton.amqp.messaging

# Interface Section

All Known Implementing Classes:
  `AmqpSequence`, `AmqpValue`, `ApplicationProperties`, `Data`, `DeliveryAnnotations`, `Footer`, `Header`, `MessageAnnotations`, `Properties`

public interface Section

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Section.SectionType`

## Method Summary

Modifier and Type
Method
Description
`Section.SectionType`
`getType()`

## Method Details

### getType

Section.SectionType getType()

Returns:
  the `Section.SectionType` that describes this instance.